   /* decrypt_menu.c

      This function is part of the Polysqu program. It is the decryption menu.

      Copyright (C) 2015, 2016  Scott C. MacCallum
      scm@ma.sdf.org

      This program is free software: you can redistribute it and/or modify
      it under the terms of the GNU Affero General Public License as published
      by the Free Software Foundation, either version 3 of the License, or
      (at your option) any later version.

      This program is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.

      You should have received a copy of the GNU Affero General Public License
      along with this program.  If not, see <http://www.gnu.org/licenses/>. */

#include <stdio.h>
#include <stdlib.h>

void decrypt_menu(void)
{
	int choice;

	printf("\n");

	printf("Where do you want your encrypted message read?\n");
	printf("\n");

	printf("1. File\n");
	printf("2. Keyboard\n");
	printf("3. Quit\n");
	printf("\n");

	printf("Number: ");

	scanf("%d", &choice);

	switch (choice) {
	case 1:
		printf("\n");
		printf("This feature is not functional yet.\n");
		printf("\n");

		break;
	case 2:
		decrypt_screen();

		break;
	case 3:
		printf("\n");
		printf("Good bye!\n");
		printf("\n");

		exit(0);
	default:
		printf("\n");
		printf("ERROR, choose a number from the menu.");
		printf("\n");

		exit(1);
	}
}
