   /* header.c

      This function is part of the Polysqu program. It provides information
      about the program.

      Copyright (C) 2015, 2016  Scott C. MacCallum
      scm@ma.sdf.org

      This program is free software: you can redistribute it and/or modify
      it under the terms of the GNU Affero General Public License as published
      by the Free Software Foundation, either version 3 of the License, or
      (at your option) any later version.

      This program is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.

      You should have received a copy of the GNU Affero General Public License
      along with this program.  If not, see <http://www.gnu.org/licenses/>. */

#include <stdio.h>

void header(void)
{
	printf("\n");
	printf("Polybius Square\n");
	printf("\n");

	printf("Encrypt a message with a modified version of the\n");
	printf("Polybius Square. WARNING, for educational use only.\n");
	printf("Do not use for secure communications.\n");
	printf("\n");

	printf("Copyright (C) 2015, 2016  Scott C. MacCallum\n");
	printf("This program comes with ABSOLUTELY NO WARRANTY\n");
	printf("This is free software, and you are welcome to\n");
	printf("redistribute it under certain conditions.\n");
	printf("See the GNU Affero General Public License,\n");
	printf("Version 3 for details.\n");
	printf("\n");
}
